Index: SPECS/openssl.spec
===================================================================
--- SPECS.orig/openssl.spec
+++ SPECS/openssl.spec
@@ -21,7 +21,7 @@
 Summary: The OpenSSL toolkit
 Name: openssl
 Version: 0.9.8b
-Release: 8.3%{?dist}
+Release: 8.3.fa1%{?dist}
 Source: openssl-%{version}-usa.tar.bz2
 Source1: hobble-openssl
 Source2: Makefile.certificate
@@ -158,6 +158,9 @@ sslflags=no-asm
 %ifarch alpha
 sslarch=linux-alpha-gcc
 %endif
+%ifarch %{arm}
+sslarch=linux-generic32
+%endif
 %ifarch s390
 # The -fno-regmove is a workaround for bug #199604
 sslarch="linux-generic32 -DB_ENDIAN -DNO_ASM -fno-regmove"
